DRM_HELPER_CONNECTOR(9)

NAME
drm_helper_connector_dpms - connector dpms helper implementation

SYNOPSIS

void drm_helper_connector_dpms(struct drm_connector * connector, int mode);

ARGUMENTS

connector
    affected connector

mode
    DPMS mode

DESCRIPTION

This is the main helper function provided by the crtc helper framework for implementing the DPMS connector attribute. It computes the new desired DPMS state for all encoders and crtcs in the output mesh and calls the ->dpms callback provided by the driver appropriately.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT